;InnoSetupVersion=4.0.5

[Setup]
AppName=TimeCore Solo
AppVerName=TimeCore
AppId=B2FTCORE
AppPublisher=Back-to-Front Solutions Limited
AppPublisherURL=http://www.back2front.co.uk/
AppSupportURL=http://www.back2front.co.uk/
AppUpdatesURL=http://www.back2front.co.uk/
AppMutex=B2F_tcShell,B2F_tcSysTray
DefaultDirName={pf}\TimeCore\Solo
DefaultGroupName=TimeCore
OutputBaseFilename=tcore15
Compression=zip
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{sys}\STDOLE2.TLB"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regtypelib 
Source: "{sys}\COMCAT.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msvbvm60.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\OLEAUT32.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\OLEPRO32.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\ASYCFILT.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\scrrun.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\shfolder.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\MSEXCL35.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\MSVCRT40.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\MSVCRT.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\expsrv.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\vbajet32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msjint35.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msjter35.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msjet35.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{dao}\dao350.dll"; DestDir: "{dao}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{app}\cmdlgd6.dll"; DestDir: "{app}"; Flags: regserver sharedfile 
Source: "{app}\SmartSubClass.dll"; DestDir: "{app}"; Flags: regserver sharedfile 
Source: "{app}\Ariel Browse Ctrl.ocx"; DestDir: "{app}"; Flags: regserver sharedfile 
Source: "{app}\CmdBtnX5.ocx"; DestDir: "{app}"; Flags: regserver sharedfile 
Source: "{app}\vcDateTimePicker.ocx"; DestDir: "{app}"; Flags: regserver sharedfile 
Source: "{sys}\Vsflex7L.ocx"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{app}\tcCombo.ocx"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcFaultMgr.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\tcSolo.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\b2fDAO.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\b2fExportTXT.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\b2fExportXLS.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\b2fInterfaces.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcAdmin.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcAPI.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcBrowser.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcCalendar.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcComponentManager.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcDATManager.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcExporting.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcHelp.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcINet.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcITemplatesAdmin.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcRecorder.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcSchemaManager.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcSearch.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcSessionLookups.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcSessions.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcSettings.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcShellRES.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcToDoList.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcTranslate.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\tcWizardEngine.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\timecore.hlp"; DestDir: "{app}"; 
Source: "{app}\timecore.cnt"; DestDir: "{app}"; 
Source: "{app}\readme.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\itemplates\Franais.ini"; DestDir: "{app}\itemplates"; 
Source: "{app}\itemplates\Portugus.ini"; DestDir: "{app}\itemplates"; 
Source: "{app}\itemplates\Deutsch.ini"; DestDir: "{app}\itemplates"; 
Source: "{app}\itemplates\Svenska.ini"; DestDir: "{app}\itemplates"; 
Source: "{app}\itemplates\Norsk bokml.ini"; DestDir: "{app}\itemplates"; 
Source: "{app}\itemplates\Espaol.ini"; DestDir: "{app}\itemplates"; 
Source: "{app}\itemplates\Nederlands.ini"; DestDir: "{app}\itemplates"; 
Source: "{app}\itemplates\Norsk nynorsk.ini"; DestDir: "{app}\itemplates"; 
Source: "{app}\itemplates\Polski.ini"; DestDir: "{app}\itemplates"; 
Source: "{app}\itemplates\Italiano.ini"; DestDir: "{app}\itemplates"; 

[Registry]
Root: HKCU; Subkey: "Software\Back-to-Front Solutions\TimeCore"; Flags: createvalueifdoesntexist uninsdeletekey 
Root: HKLM; Subkey: "Software\Back-to-Front Solutions\TimeCore"; Flags: createvalueifdoesntexist uninsdeletekey 
Root: HKCU; Subkey: "Software\VB and VBA Program Settings\TIMECORE"; Flags: uninsdeletekey deletekey 
Root: HKCU; Subkey: "Software\Back-to-Front Solutions\TimeCore"; ValueName: "1300"; ValueType: String; ValueData: "1"; Flags: createvalueifdoesntexist uninsdeletekey deletevalue 
Root: HKCU; Subkey: "Software\Back-to-Front Solutions\TimeCore"; ValueName: "1201"; ValueType: String; ValueData: "{code:GetTemplateName}"; Flags: createvalueifdoesntexist uninsdeletekey deletevalue 

[INI]
FileName: "{app}\timecore.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.timecore.co.uk/"; 

[Run]
Filename: "{app}\tcSolo.exe"; Description: "Launch TimeCore"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\TimeCore Solo"; Filename: "{app}\tcSolo.exe"; WorkingDir: "{app}"; Comment: "TimeCore Solo : time management system"; 
Name: "{group}\TimeCore on the Web"; Filename: "{app}\timecore.url"; 
Name: "{group}\TimeCore Help"; Filename: "{app}\timecore.hlp"; 
Name: "{group}\TimeCore Readme"; Filename: "{app}\readme.rtf"; 
Name: "{group}\Uninstall TimeCore Solo"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\TimeCore"; Filename: "{app}\tcSolo.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\TimeCore"; Filename: "{app}\tcSolo.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[InstallDelete]
Type: files; Name: "{app}\tctips.tip"; 
Type: files; Name: "{app}\*.log"; 
Type: files; Name: "{app}\MBTipDay.ocx"; 
Type: files; Name: "{app}\tcCodec.dll"; 
Type: files; Name: "{app}\tcTranslatorAdmin.dll"; 
Type: files; Name: "{app}\vbuzip10.dll"; 
Type: files; Name: "{app}\tcWizSelectCore.dll"; 
Type: files; Name: "{app}\itemplates\Norsk.ini"; 

[UninstallDelete]
Type: files; Name: "{app}\timecore.url"; 
Type: files; Name: "{app}\TCOREFAULT.LOG"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
Name: "fr"; MessagesFile: "embedded\fr.isl"; 
Name: "pt"; MessagesFile: "embedded\pt.isl"; 
Name: "de"; MessagesFile: "embedded\de.isl"; 
Name: "sv"; MessagesFile: "embedded\sv.isl"; 
Name: "nw"; MessagesFile: "embedded\nw.isl"; 
Name: "es"; MessagesFile: "embedded\es.isl"; 
Name: "du"; MessagesFile: "embedded\du.isl"; 
Name: "ny"; MessagesFile: "embedded\ny.isl"; 
Name: "po"; MessagesFile: "embedded\po.isl"; 
Name: "it"; MessagesFile: "embedded\it.isl"; 
